<?
if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true) die();
/** @var CBitrixComponent $this */
/** @var array $arParams */
/** @var array $arResult */
/** @var string $componentPath */
/** @var string $componentName */
/** @var string $componentTemplate */
/** @global CDatabase $DB */
/** @global CUser $USER */
/** @global CMain $APPLICATION */

use Bitrix\Main\Context,
	Bitrix\Main\Type\DateTime,
	Bitrix\Main\Loader,
	Bitrix\Iblock;

if($this->StartResultCache(60*60*24, md5(var_export($_POST, true))))
{
	$agreement = new \Bitrix\Main\UserConsent\Agreement(1);
	$agreement->setReplace(array("fields" => array("Имя", "Телефон", "Адрес E-Mail")));
	$arResult['AGREEMENT'] = $agreement->getText();

	$this->IncludeComponentTemplate();
}